Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » ATF » Ubuntu 10.10 + ATF xpcomerror
Ubuntu 10.10 + ATF xpcomerror [message #653014] Tue, 08 February 2011 00:58
basmatte is currently offline basmatte
Messages: 1
Registered: February 2011
Junior Member
Hello,

I'm realy frustrated not getting to run the Ajax Tools Framework on Ubuntu 10.10.
The installation works fine, But whenever I want to open an HTML File in the Browser View. I get a xpcom error:

Unhandled event loop exception
XPCOM error -2147467259


An extract of my system configuration:

Ubuntu 10.10 64bit
2.6.35-25-generic #44-Ubuntu SMP Fri Jan 21 17:40:44 UTC 2011 x86_64 GNU/Linux
Eclipse Helios
Version: 3.6.1
Build id: M20100909-0800

I use the Classic Edition with WTP installed

Installed Software in Eclipse
Toggle Spoiler


I already tried to install the same xulrunner Version 1.9.1 instead of 1.9.2 in ubuntu. But that didn't help. I read that the atf plugin is independent from the native xullrunner libs installed on the system.

I have no clue, where to look for additional error-logs or things, which could help solving this problem.

Other things I tried were:



  1. setting the org.eclipse.swt.browser.XULRunnerPath to /usr/lib/xulrunner-1.9.2.13/
  2. deleting ~/.mozilla/eclipse directory


this gives me a stacktrace about a NullPointerException within the browser panel (or where the browser should appear):

Toggle Spoiler


My problem is closely related to that one: https://bugs.eclipse.org/bugs/show_bug.cgi?id=312350

[Updated on: Tue, 08 February 2011 11:56]

Report message to a moderator

Previous Topic:Missing javascript preview
Next Topic:ATF Installation - cant find dojo entry in eclipse after installation.
Goto Forum:
  


Current Time: Tue Sep 23 14:42:39 GMT 2014

Powered by FUDForum. Page generated in 0.01866 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software